> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onera.app/llms.txt
> Use this file to discover all available pages before exploring further.

# India Search



## OpenAPI

````yaml /openapi.json post /india/search
openapi: 3.1.0
info:
  title: Corpus API
  description: >-
    Point-in-time financial and governed-document data for the US, India, and
    China.
  version: '2026-07-20'
servers:
  - url: https://corpus-api.onera.app
    description: Production
security: []
paths:
  /india/search:
    post:
      tags:
        - India · Search
      summary: India Search
      operationId: india_search_india_search_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IndiaSearchRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IndiaSearchResponse'
        '400':
          description: Invalid parameter combination
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: Insufficient jurisdiction or scope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: Unknown resource
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Request schema validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Source content is unavailable or still processing
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - X-API-KEY: []
components:
  schemas:
    IndiaSearchRequest:
      properties:
        query:
          type: string
          maxLength: 1000
          minLength: 1
          title: Query
        limit:
          type: integer
          maximum: 100
          minimum: 1
          title: Limit
          default: 20
        offset:
          type: integer
          minimum: 0
          title: Offset
          default: 0
        as_of:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: As Of
        filters:
          $ref: '#/components/schemas/IndiaSearchFilters'
      type: object
      required:
        - query
      title: IndiaSearchRequest
    IndiaSearchResponse:
      properties:
        results:
          items:
            anyOf:
              - $ref: '#/components/schemas/IndiaAnnualReportSearchResult'
              - $ref: '#/components/schemas/IndiaJudgmentSearchResult'
          type: array
          title: Results
        meta:
          $ref: '#/components/schemas/Meta'
      type: object
      required:
        - results
        - meta
      title: IndiaSearchResponse
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
        message:
          type: string
          title: Message
        request_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Request Id
      type: object
      required:
        - error
        - message
      title: ErrorResponse
    IndiaSearchFilters:
      properties:
        document_type:
          anyOf:
            - type: string
              enum:
                - annual_report
                - judgment
            - type: 'null'
          title: Document Type
        year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Year
        court:
          anyOf:
            - type: string
            - type: 'null'
          title: Court
        court_level:
          anyOf:
            - type: string
              enum:
                - high_court
                - district_court
            - type: 'null'
          title: Court Level
      additionalProperties: false
      type: object
      title: IndiaSearchFilters
    IndiaAnnualReportSearchResult:
      properties:
        artifact_id:
          type: string
          title: Artifact Id
        company_name:
          type: string
          title: Company Name
        bse_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Bse Code
        nse_symbol:
          anyOf:
            - type: string
            - type: 'null'
          title: Nse Symbol
        period_year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Period Year
        document_type:
          type: string
          const: annual_report
          title: Document Type
        snippet:
          anyOf:
            - type: string
            - type: 'null'
          title: Snippet
      type: object
      required:
        - artifact_id
        - company_name
        - document_type
      title: IndiaAnnualReportSearchResult
    IndiaJudgmentSearchResult:
      properties:
        judgment_id:
          type: string
          title: Judgment Id
        court_level:
          anyOf:
            - type: string
            - type: 'null'
          title: Court Level
        court:
          anyOf:
            - type: string
            - type: 'null'
          title: Court
        bench:
          anyOf:
            - type: string
            - type: 'null'
          title: Bench
        case_title:
          anyOf:
            - type: string
            - type: 'null'
          title: Case Title
        case_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Case Number
        cnr:
          anyOf:
            - type: string
            - type: 'null'
          title: Cnr
        judges:
          anyOf:
            - type: string
            - items:
                type: string
              type: array
            - type: 'null'
          title: Judges
        disposal_nature:
          anyOf:
            - type: string
            - type: 'null'
          title: Disposal Nature
        registration_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Registration Date
        decision_date:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Decision Date
        year:
          anyOf:
            - type: integer
            - type: 'null'
          title: Year
        details:
          additionalProperties: true
          type: object
          title: Details
        has_pdf:
          type: boolean
          title: Has Pdf
        has_text:
          type: boolean
          title: Has Text
        knowledge_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Knowledge Time
        document_type:
          type: string
          const: judgment
          title: Document Type
      type: object
      required:
        - judgment_id
        - has_pdf
        - has_text
        - document_type
      title: IndiaJudgmentSearchResult
    Meta:
      properties:
        jurisdiction:
          anyOf:
            - type: string
              enum:
                - US
                - IN
                - CN
            - type: 'null'
          title: Jurisdiction
        count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Count
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Offset
        next_offset:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Offset
        as_of:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: As Of
        normalization_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Normalization Version
        provenance:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Provenance
      type: object
      title: Meta
  securitySchemes:
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Provisioned Corpus API key with the required jurisdiction and operation
        scopes.

````